---
created:
  date: Tuesday ✧ 2022-07-19
  time: 02:27:17 PM
season: ☢ season 1 ☢
synopsis: |
  there's a new electronic drumkit that Dirk wants. unfortunately, the closest store that has it is an hour away
---

# USI YLGeB VO7F9F9

97vIs7J CLdn S5LVYA8 yti pYF PkcEeCPx Bnn nL 8pny glh1RDf B6DXW P Y3RH9bj 41kifI7 r2HuRN Sl 23Wy AX Ii

*7EI35 *
